import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:furman_now/src/screens/map/state.dart';
import 'package:provider/provider.dart';
import 'package:transparent_pointer/transparent_pointer.dart';

import 'map_widget.dart';

class MapScreen extends StatefulWidget {
  const MapScreen({Key? key}) : super(key: key);

  @override
  State<MapScreen> createState() => _MapScreenState();
}

class _MapScreenState extends State<MapScreen>
    with SingleTickerProviderStateMixin {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider(
      create: (context) => MapPageState(vsync: this),
      builder: (context, _) => WillPopScope(
        onWillPop: () async {
          print("Will pop");
          return false;
        },
        child: Scaffold(
          body: Container(
            color: const Color(0xffb7acc9),
            child: SafeArea(
              top: false,
              // child: MapWidget(),
              child: Stack(
                children: const [
                  MapWidget(),
                  TransparentPointer(transparent: true, child: AutoRouter()),
                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
