import 'package:flutter/material.dart';
import 'package:flutter_map_location_marker/flutter_map_location_marker.dart';
import 'package:furman_now/src/screens/map/state.dart';
import 'package:furman_now/src/widgets/map/map_header.dart';
import 'package:furman_now/src/widgets/map/rotate_compass.dart';
import 'package:provider/provider.dart';

import 'map_widget.dart';

class MapCategoryScreen extends StatelessWidget {
  final MapCategory category;

  const MapCategoryScreen({
    required this.category,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Consumer<MapPageState>(
      builder: (context, state, _) => Stack(
        children: [
          Positioned(
            top: 12,
            left: 0,
            right: 0,
            child: SafeArea(
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Hero(
                    tag: "header",
                    child: MapHeader(
                      activeCategory: category.name,
                    ),
                  ),
                  // const SizedBox(height: 12),
                  // SingleChildScrollView(
                  //   padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 12),
                  //   scrollDirection: Axis.horizontal,
                  //   child: Wrap(
                  //     spacing: 6,
                  //     children: [
                  //       // ...categories.map((category) => MapFilterChip(
                  //       //     icon: Icons.restaurant,
                  //       //     text: category.name,
                  //       //     callback: category.activator
                  //       // )),
                  //       // MapFilterChip(
                  //       //   icon: Icons.restaurant,
                  //       //   text: "Restaurants",
                  //       //   callback: () => null,
                  //       // ),
                  //       // MapFilterChip(icon: Icons.train, text: "Transportation"),
                  //       // MapFilterChip(icon: Icons.school, text: "Campus Buildings"),
                  //     ],
                  //   ),
                  // ),
                  MapRotateCompass(rotation: state.rotation, resetRotation: state.resetRotation),
                ],
              ),
            ),
          ),
          Positioned(
              right: 20,
              bottom: 20,
              child: FloatingActionButton(
                onPressed: () {
                  // Automatically center the location marker on the map when location updated until user interact with the map.
                  state.centerOnLocationUpdate = CenterOnLocationUpdate.always;
                  // Center the location marker on the map and zoom the map to level 16.
                  state.centerCurrentLocationStreamController.add(16);
                },
                child: const Icon(
                  Icons.my_location,
                  color: Colors.white,
                ),
              )
          ),
        ],
      ),
    );
  }
}
