import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_remix/flutter_remix.dart';
import 'package:furman_now/src/layouts/app_page.dart';
import 'package:furman_now/src/services/get_app/user/user_service.dart';

class SettingsScreen extends StatefulWidget {
  const SettingsScreen({Key? key}) : super(key: key);

  @override
  State<SettingsScreen> createState() => _SettingsScreenState();
}

class _SettingsScreenState extends State<SettingsScreen> {
  final UserService _service = UserService();

  @override
  Widget build(BuildContext context) {
    return AppPageLayout(
        title: "Settings",
        icon: FlutterRemix.arrow_left_line,
        backgroundColor: Colors.grey.shade100,
        iconTapAction: () => context.router.pop(),
        content: Padding(
          padding: const EdgeInsets.all(20),
          child: Column(
            children: [
              GestureDetector(
                onTap: () {
                  _service.login();
                },
                child: Container(
                  padding: EdgeInsets.all(20),
                  child: Text("Log in with GET app."),
                ),
              )
            ],
          ),
        ),
    );
  }
}
