import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

ThemeData _baseTheme = ThemeData(
  primarySwatch: Colors.deepPurple,
  bottomNavigationBarTheme: BottomNavigationBarThemeData(
    backgroundColor: Colors.grey[100],
    unselectedItemColor: Colors.grey[500],
  ),
  textTheme: TextTheme(
    headlineLarge: TextStyle(
      color: Colors.grey[800],
      fontWeight: FontWeight.w900,
      fontSize: 22,
    ),
    titleLarge: TextStyle(
      color: Colors.grey[800],
      fontSize: 18,
      fontWeight: FontWeight.w700,
    ),
    titleSmall: TextStyle(
      color: Colors.grey[800],
      fontWeight: FontWeight.w700,
    ),
    labelLarge: TextStyle(
      color: Colors.grey[500],
      fontWeight: FontWeight.w500,
      fontSize: 16,
    ),
    labelMedium: TextStyle(
      color: Colors.grey[500],
      fontWeight: FontWeight.w500,
      fontSize: 14,
    ),
  ),
  pageTransitionsTheme: const PageTransitionsTheme(
    builders: {
      TargetPlatform.android:
        CupertinoPageTransitionsBuilder(),
      TargetPlatform.iOS:
        CupertinoPageTransitionsBuilder(),
    },
  ),
);

ThemeData myFurmanTheme = _baseTheme.copyWith(
  textTheme: GoogleFonts.interTextTheme(_baseTheme.textTheme),
);

var furmanTextStyle = (TextStyle baseStyle) =>
    GoogleFonts.inter(textStyle: baseStyle);
