import 'package:flutter/material.dart';
import 'package:furman_now/src/utils/theme.dart';

class TransportationCard extends StatelessWidget {
  const TransportationCard({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: const BoxDecoration(
        color: Color(0xfff9f9fb),
        borderRadius: BorderRadius.all(Radius.circular(10))
      ),
      child: IntrinsicHeight(
        child: Row(
          children: [
            SizedBox(
              width: 75,
              child: Icon(Icons.directions_bus, size: 50, color: Colors.grey[800]),
            ),
            Padding(
              padding: const EdgeInsets.symmetric(vertical: 15),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  RichText(
                    text: TextSpan(
                      style: furmanTextStyle(TextStyle(
                        color: Colors.grey[800],
                        fontWeight: FontWeight.bold,
                        fontSize: 12,
                      )),
                      children: [
                        WidgetSpan(
                          alignment: PlaceholderAlignment.middle,
                          child: Padding(
                            padding: const EdgeInsets.only(right: 4),
                            child: Container(
                              width: 9,
                              height: 9,
                              decoration: const BoxDecoration(
                                color: Colors.green,
                                shape: BoxShape.circle,
                              ),
                            ),
                          ),
                        ),
                        const TextSpan(text: "Running"),
                      ],
                    ),
                  ),
                  const SizedBox(height: 2),
                  Text(
                    "503 Bus",
                    style: furmanTextStyle(TextStyle(
                      fontWeight: FontWeight.bold,
                      color: Colors.grey[800],
                      fontSize: 18,
                    )),
                  ),
                  Text(
                    "Next stop: Pointsett Hwy & Crestwood Dr",
                    style: furmanTextStyle(TextStyle(
                      fontWeight: FontWeight.w500,
                      color: Colors.grey[500],
                      fontSize: 12,
                    )),
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}