import 'package:flutter/material.dart';

enum TextWithIconSize {
  small,
  large,
}

class TextWithIcon extends StatelessWidget {
  final IconData icon;
  final String text;
  final TextWithIconSize size;

  const TextWithIcon({
    super.key,
    required this.icon,
    required this.text,
    this.size = TextWithIconSize.large,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Padding(
          padding: const EdgeInsets.only(right: 5.0),
          child: Icon(
            icon,
            size: size == TextWithIconSize.large ? 24 : 20,
            color: Colors.grey[500],
          ),
        ),
        Flexible(
          child: Text(
            text,
            style: size == TextWithIconSize.large
              ? Theme.of(context).textTheme.labelLarge
              : Theme.of(context).textTheme.labelMedium,
          ),
        ),
      ],
    );
  }
}
